### Hierarchy

- XmlComponent
  - TableCellMargin

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addBottomMargin
- addChildElement
- addLeftMargin
- addRightMargin
- addTopMargin
- delete
- prepForXml

## Constructors

### constructor

- new TableCellMargin(): TableCellMargin

- Overrides XmlComponent.constructor

  - Defined in file/table/table-cell-margin.ts:19

  #### Returns TableCellMargin

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addBottomMargin

- addBottomMargin(value: number, type?: WidthType): void

- - Defined in file/table/table-cell-margin.ts:42

  #### Parameters

  - ##### value: number

  - ##### Default value type: WidthType = WidthType.DXA

  #### Returns void

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addLeftMargin

- addLeftMargin(value: number, type?: WidthType): void

- - Defined in file/table/table-cell-margin.ts:35

  #### Parameters

  - ##### value: number

  - ##### Default value type: WidthType = WidthType.DXA

  #### Returns void

### addRightMargin

- addRightMargin(value: number, type?: WidthType): void

- - Defined in file/table/table-cell-margin.ts:49

  #### Parameters

  - ##### value: number

  - ##### Default value type: WidthType = WidthType.DXA

  #### Returns void

### addTopMargin

- addTopMargin(value: number, type?: WidthType): void

- - Defined in file/table/table-cell-margin.ts:28

  #### Parameters

  - ##### value: number

  - ##### Default value type: WidthType = WidthType.DXA

  #### Returns void

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject

- Overrides XmlComponent.prepForXml

  - Defined in file/table/table-cell-margin.ts:24

  #### Returns IXmlableObject

Generated using TypeDoc